<script lang="ts">
  import type { ITag } from '../interfaces/ITag.ts';
  import PointerBlockLayout from '../layouts/PointerBlockLayout.svelte';
  import Badge from './Badge.svelte';

  export let href: string,
      title: string,
      description: string,
      tags: ITag[];
</script>

<article class="">
    <PointerBlockLayout classes="space-y-2">
        <a {href}>
            <h2 class="duration-200 space-x-2 text-lg sm:text-xl lg:text-2xl xl:text-3xl 2xl:text-4xl">{title}</h2>
        </a>
        <p class="text-neutral-400 font-thin">{description}</p>
        <section class="flex flex-wrap gap-2">
            {#each tags as { name }}
                <Badge {name}/>
            {/each}
        </section>
    </PointerBlockLayout>
</article>